Subject: Re: [PATCH net-next 12/13] net: ena: change validate_tx_req_id() to be inline function

From: "Belgazal, Netanel" <[email-masked]>
Date: Mon, 19 Jun 2017 13:23:08 +0000

The optimization purpose I mention was to inform the compiler to inline this function as there is only one caller to this function.
After reading the coding style you refer to I'll discard this patch.

As a side note, I checked the disassembly code and I can see that gcc inline the function even without the explicit hint.

Regards,
Netanel
________________________________________
From: Leon Romanovsky <[email-masked]>
Sent: Monday, June 19, 2017 7:56 AM
To: Belgazal, Netanel
Cc: [email-masked]; [email-masked]; Woodhouse, David; Machulsky, Zorik; Matushevsky, Alexander; BSHARA, Said; Wilson, Matt; Liguori, Anthony; Bshara, Nafea; Schmeilin, Evgeny
Subject: Re: [PATCH net-next 12/13] net: ena: change validate_tx_req_id() to be inline function

On Sun, Jun 18, 2017 at 02:28:17PM +0300, [email-masked] wrote:
> From: Netanel Belgazal <[email-masked]>
>
> for optimization purpose, change validate_tx_req_id() to be
> inline function.
>
> Signed-off-by: Netanel Belgazal <[email-masked]>
> ---
>  drivers/net/ethernet/amazon/ena/ena_netdev.c | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/drivers/net/ethernet/amazon/ena/ena_netdev.c b/drivers/net/ethernet/amazon/ena/ena_netdev.c
> index 4540cd3d9f5f..da14b78cc87c 100644
> --- a/drivers/net/ethernet/amazon/ena/ena_netdev.c
> +++ b/drivers/net/ethernet/amazon/ena/ena_netdev.c
> @@ -698,7 +698,7 @@ static void ena_destroy_all_io_queues(struct ena_adapter *adapter)
>       ena_destroy_all_rx_queues(adapter);
>  }
>
> -static int validate_tx_req_id(struct ena_ring *tx_ring, u16 req_id)
> +static inline int validate_tx_req_id(struct ena_ring *tx_ring, u16 req_id)

inline in C-file?

Please read Documentation/process/coding-style.rst,
15) The inline disease" section why it is wrong and if you anyway
insists on doing it, please provide support of your claim "optimization
purposes" and show what and how exactly your optimization happened.

Thanks

>  {
>       struct ena_tx_buffer *tx_info = NULL;
>
> --
> 2.7.4
>